<template>
    <table>
    </table>
</template>
<style>
</style>
<script>
    import $ from 'jquery';
    import dt from 'datatables.net';
    import 'datatables.net-dt/css/jquery.dataTables.css'

    dt(window, $);

    export default{
        props: ['url', 'columns', 'options'],
        data(){
            return {
                data: []
            }
        },
        watch: {
            url: {
                handler: function (val, oldVal) {
                    var self = this;
                    console.log(self.datatable);
                    self.datatable.clear();
                    self.datatable.draw();
                }
            }
        },
        ready: function () {
            var self = this;
            var default_options = {
                lengthMenu: [[25, 50, 100, 200], [25, 50, 100, 200]],
                ajax: {
                    url: self.url,
                    data: function (d) {
                        d.columnsCount = self.columns.length
                    }
                },
                columns: self.columns
            };

            var options = Object.assign({}, default_options, self.options);

            self.datatable = $(this.$el).DataTable(options);
        },

        components: {}
    }
</script>
